Subject: bug#54136: 29.0.50; Eshell emits extra prompts when killing processes in some cases

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Feb 2022 09:09:36 +0200

> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> Date: Thu, 24 Feb 2022 17:04:42 -0800
> 
> On 2/24/2022 12:07 PM, Lars Ingebrigtsen wrote:
> > Eli Zaretskii <[email-masked]> writes:
> > 
> >> OK, so I installed my changes.
> > 
> > The test now fails on Debian:
> > 
> > Test esh-proc-test/kill-pipeline condition:
> >      (ert-test-failed
> >       ((should
> >         (equal
> > 	(buffer-substring-no-properties output-start ...)
> > 	(or "interrupt\n" "killed\n")))
> >        :form
> >        (equal "killed\n" "interrupt\n")
> >        :value nil :explanation
> >        (arrays-of-different-length 7 10 "killed\n" "interrupt\n" first-mismatch-at 0)))
> >     FAILED  2/4  esh-proc-test/kill-pipeline (0.109668 sec) at lisp/eshell/esh-proc-tests.el:47
> >     passed  3/4  esh-proc-test/kill-pipeline-head (0.112142 sec)
> >     passed  4/4  esh-proc-test/sigpipe-exits-process (1.010359 sec)
> > 
> > Ran 4 tests, 3 results as expected, 1 unexpected (2022-02-24 21:06:48+0100, 1.446135 sec)
> > 
> > 1 unexpected results:
> >     FAILED  esh-proc-test/kill-pipeline
> 
> Here's a patch for that. It works for me on GNU/Linux, and hopefully 
> it's ok on MS Windows too.

Thanks, and sorry for the thinko.  (I thought posting the patch would
have that caught, but I guess no one reads my patches seriously.)